{
  "name": "project-a-frontend",
  "version": "1.0.0",
  "description": "Project A Frontend Application",
  "private": true,
  "main": "index.js",
  "scripts": {
    "dev": "webpack-dev-server --mode development --open --hot",
    "prod": "webpack --mode production",
    "lint": "eslint src/**/*.js",
    "pretty": "prettier --write 'src/**/*.js'",
    "test": "jest",
    "stylelint": "stylelint 'src/**/*.css' 'src/**/*.styles.js' --fix"
  },
  "lint-staged": {
    "*.js": [
      "npm run pretty",
      "npm run lint",
      "npm run stylelint",
      "git add"
    ]
  },
  "jest": {
    "setupFilesAfterEnv": [
      "<rootDir>src/utils/tests/setupTests.js"
    ],
    "moduleNameMapper": {
      "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>src/utils/tests/__mocks__/fileMock.js",
      "\\.(css|less)$": "<rootDir>src/utils/tests/__mocks__/styleMock.js"
    }
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.4.5",
    "@babel/plugin-proposal-class-properties": "^7.4.4",
    "@babel/plugin-syntax-dynamic-import": "^7.2.0",
    "@babel/plugin-transform-runtime": "^7.4.4",
    "@babel/preset-env": "^7.4.5",
    "@babel/preset-react": "^7.0.0",
    "babel-eslint": "^10.0.2",
    "babel-jest": "^24.8.0",
    "babel-loader": "^8.0.6",
    "babel-plugin-module-resolver": "^3.2.0",
    "clean-webpack-plugin": "^3.0.0",
    "css-loader": "^3.0.0",
    "cssnano": "^4.1.10",
    "enzyme": "^3.10.0",
    "enzyme-adapter-react-16": "^1.14.0",
    "eslint": "^5.16.0",
    "eslint-config-airbnb": "^17.1.0",
    "eslint-config-prettier": "^5.0.0",
    "eslint-import-resolver-babel-module": "^5.1.0",
    "eslint-loader": "^2.1.2",
    "eslint-plugin-import": "^2.17.3",
    "eslint-plugin-jsx-a11y": "^6.2.1",
    "eslint-plugin-prettier": "^3.1.0",
    "eslint-plugin-react": "^7.13.0",
    "file-loader": "^4.0.0",
    "html-webpack-plugin": "^3.2.0",
    "husky": "^2.4.1",
    "image-webpack-loader": "^5.0.0",
    "jest": "^24.8.0",
    "lint-staged": "^8.2.1",
    "postcss": "^7.0.17",
    "postcss-hexrgba": "^1.0.1",
    "postcss-import": "^12.0.1",
    "postcss-inline-svg": "^4.0.0",
    "postcss-loader": "^3.0.0",
    "postcss-nested": "^4.1.2",
    "postcss-preset-env": "^6.6.0",
    "prettier": "^1.18.2",
    "pretty-quick": "^1.11.1",
    "react-test-renderer": "^16.8.6",
    "redux-mock-store": "^1.5.3",
    "style-loader": "^0.23.1",
    "stylelint": "^10.1.0",
    "stylelint-config-standard": "^18.3.0",
    "svg-inline-loader": "^0.8.0",
    "terser-webpack-plugin": "^1.3.0",
    "webpack": "^4.35.0",
    "webpack-cli": "^3.3.4",
    "webpack-dev-server": "^3.7.2"
  },
  "dependencies": {
    "@babel/runtime": "^7.4.5",
    "astroturf": "^0.9.6",
    "classnames": "^2.2.6",
    "normalize.css": "^8.0.1",
    "prop-types": "^15.7.2",
    "react": "^16.8.6",
    "react-dom": "^16.8.6",
    "zxcvbn": "^4.4.2"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged && npm test"
    }
  }
}
